GDBserver

Enumerations | Functions | Variables
linux-ppc-tdesc.h File Reference

Go to the source code of this file.

## Enumerations
enum | ppc_linux_tdesc { PPC_TDESC_BASE, PPC_TDESC_ALTIVEC, PPC_TDESC_CELL, PPC_TDESC_VSX, PPC_TDESC_ISA205, PPC_TDESC_ISA205_ALTIVEC, PPC_TDESC_ISA205_VSX, PPC_TDESC_E500 }

## Functions
void | init_registers_powerpc_32l (void)
void | init_registers_powerpc_altivec32l (void)
void | init_registers_powerpc_cell32l (void)
void | init_registers_powerpc_vsx32l (void)
void | init_registers_powerpc_isa205_32l (void)
void | init_registers_powerpc_isa205_altivec32l (void)
void | init_registers_powerpc_isa205_vsx32l (void)
void | init_registers_powerpc_e500l (void)

## Variables
const struct target_desc * | tdesc_powerpc_32l
const struct target_desc * | tdesc_powerpc_altivec32l
const struct target_desc * | tdesc_powerpc_cell32l
const struct target_desc * | tdesc_powerpc_vsx32l
const struct target_desc * | tdesc_powerpc_isa205_32l
const struct target_desc * | tdesc_powerpc_isa205_altivec32l
const struct target_desc * | tdesc_powerpc_isa205_vsx32l
const struct target_desc * | tdesc_powerpc_e500l

## Enumeration Type Documentation

## ◆ ppc_linux_tdesc

enum ppc_linux_tdesc

Enumerator
PPC_TDESC_BASE |
PPC_TDESC_ALTIVEC |
PPC_TDESC_CELL |
PPC_TDESC_VSX |
PPC_TDESC_ISA205 |
PPC_TDESC_ISA205_ALTIVEC |
PPC_TDESC_ISA205_VSX |
PPC_TDESC_E500 |

Definition at line 24 of file linux-ppc-tdesc.h.

## Function Documentation

## ◆ init_registers_powerpc_32l()

void init_registers_powerpc_32l | ( | void |  | ) |

Referenced by initialize_low_arch(), and initialize_low_tracepoint().

## ◆ init_registers_powerpc_altivec32l()

void init_registers_powerpc_altivec32l | ( | void |  | ) |

Referenced by initialize_low_arch(), and initialize_low_tracepoint().

## ◆ init_registers_powerpc_cell32l()

void init_registers_powerpc_cell32l | ( | void |  | ) |

Referenced by initialize_low_arch(), and initialize_low_tracepoint().

## ◆ init_registers_powerpc_e500l()

void init_registers_powerpc_e500l | ( | void |  | ) |

Referenced by initialize_low_arch(), and initialize_low_tracepoint().

## ◆ init_registers_powerpc_isa205_32l()

void init_registers_powerpc_isa205_32l | ( | void |  | ) |

Referenced by initialize_low_arch(), and initialize_low_tracepoint().

## ◆ init_registers_powerpc_isa205_altivec32l()

void init_registers_powerpc_isa205_altivec32l | ( | void |  | ) |

Referenced by initialize_low_arch(), and initialize_low_tracepoint().

## ◆ init_registers_powerpc_isa205_vsx32l()

void init_registers_powerpc_isa205_vsx32l | ( | void |  | ) |

Referenced by initialize_low_arch(), and initialize_low_tracepoint().

## ◆ init_registers_powerpc_vsx32l()

void init_registers_powerpc_vsx32l | ( | void |  | ) |

Referenced by initialize_low_arch(), and initialize_low_tracepoint().

## Variable Documentation

## ◆ tdesc_powerpc_32l

const struct target_desc* tdesc_powerpc_32l

Referenced by get_ipa_tdesc(), ppc_arch_setup(), and ppc_get_ipa_tdesc_idx().

## ◆ tdesc_powerpc_altivec32l

const struct target_desc* tdesc_powerpc_altivec32l

Referenced by get_ipa_tdesc(), ppc_arch_setup(), and ppc_get_ipa_tdesc_idx().

## ◆ tdesc_powerpc_cell32l

const struct target_desc* tdesc_powerpc_cell32l

Referenced by get_ipa_tdesc(), ppc_arch_setup(), and ppc_get_ipa_tdesc_idx().

## ◆ tdesc_powerpc_e500l

const struct target_desc* tdesc_powerpc_e500l

Referenced by get_ipa_tdesc(), ppc_arch_setup(), and ppc_get_ipa_tdesc_idx().

## ◆ tdesc_powerpc_isa205_32l

const struct target_desc* tdesc_powerpc_isa205_32l

Referenced by get_ipa_tdesc(), and ppc_get_ipa_tdesc_idx().

## ◆ tdesc_powerpc_isa205_altivec32l

const struct target_desc* tdesc_powerpc_isa205_altivec32l

Referenced by get_ipa_tdesc(), ppc_arch_setup(), and ppc_get_ipa_tdesc_idx().

## ◆ tdesc_powerpc_isa205_vsx32l

const struct target_desc* tdesc_powerpc_isa205_vsx32l

Referenced by get_ipa_tdesc(), ppc_arch_setup(), and ppc_get_ipa_tdesc_idx().

## ◆ tdesc_powerpc_vsx32l

const struct target_desc* tdesc_powerpc_vsx32l

Referenced by get_ipa_tdesc(), ppc_arch_setup(), and ppc_get_ipa_tdesc_idx().